% This code allows you to reproduce the temporal evolution of the maps 
% displayed in figure 1 to figure 4 of the manuscript.

% Make Figure 1, panel a
load NewAndrzejakChaos2020Setting1Realization1.mat
% this loads N, c, CwDivN, CaDivN, and initialconditions
maxiter = 150;
plotrange = 1:150;
z = NewAndrzejakChaos2020Maps(N,c,CwDivN,CaDivN,initialconditions, maxiter, plotrange);

% Make Figure 1, panel d
load NewAndrzejakChaos2020Setting1Realization1.mat
% this loads N, c, CwDivN, CaDivN, and initialconditions
maxiter = 10100;
plotrange = 10000:10100;
z = NewAndrzejakChaos2020Maps(N,c,CwDivN,CaDivN,initialconditions, maxiter, plotrange);

% Make Figure 1, panel e
load NewAndrzejakChaos2020Setting1Realization2.mat
% this loads N, c, CwDivN, CaDivN, and initialconditions
maxiter = 10100;
plotrange = 10000:10100;
z = NewAndrzejakChaos2020Maps(N,c,CwDivN,CaDivN,initialconditions, maxiter, plotrange);

% Make Figure 2, panel a
load NewAndrzejakChaos2020Setting2.mat
% this loads N, c, CwDivN, CaDivN, and initialconditions
maxiter = 250;
plotrange = 1:250;
z = NewAndrzejakChaos2020Maps(N,c,CwDivN,CaDivN,initialconditions, maxiter, plotrange);

% Make Figure 3, panel a
load NewAndrzejakChaos2020Setting3.mat
% this loads N, c, CwDivN, CaDivN, and initialconditions
maxiter = 10100;
plotrange = 10000:10100;
z = NewAndrzejakChaos2020Maps(N,c,CwDivN,CaDivN,initialconditions, maxiter, plotrange);

% Make Figure 3, panel b
load NewAndrzejakChaos2020Setting4.mat
% this loads N, c, CwDivN, CaDivN, and initialconditions
maxiter = 10100;
plotrange = 10000:10100;
z = NewAndrzejakChaos2020Maps(N,c,CwDivN,CaDivN,initialconditions, maxiter, plotrange);

% Make Figure 3, panel c
load NewAndrzejakChaos2020Setting5.mat
% this loads N, c, CwDivN, CaDivN, and initialconditions
maxiter = 10100;
plotrange = 10000:10100;
z = NewAndrzejakChaos2020Maps(N,c,CwDivN,CaDivN,initialconditions, maxiter, plotrange);

% Make Figure 3, panel d
load NewAndrzejakChaos2020Setting6.mat
% this loads N, c, CwDivN, CaDivN, and initialconditions
maxiter = 10100;
plotrange = 10000:10100;
z = NewAndrzejakChaos2020Maps(N,c,CwDivN,CaDivN,initialconditions, maxiter, plotrange);

% Make Figure 3, panel e
load NewAndrzejakChaos2020Setting7.mat
% this loads N, c, CwDivN, CaDivN, and initialconditions
maxiter = 10100;
plotrange = 10000:10100;
z = NewAndrzejakChaos2020Maps(N,c,CwDivN,CaDivN,initialconditions, maxiter, plotrange);

% Make Figure 3, panel f
load NewAndrzejakChaos2020Setting8.mat
% this loads N, c, CwDivN, CaDivN, and initialconditions
maxiter = 10100;
plotrange = 10000:10100;
z = NewAndrzejakChaos2020Maps(N,c,CwDivN,CaDivN,initialconditions, maxiter, plotrange);

% Make Figure 4, panel a
load NewAndrzejakChaos2020Setting9.mat
% this loads N, c, CwDivN, CaDivN, and initialconditions
maxiter = 2500;
plotrange = 2401:2500;
z = NewAndrzejakChaos2020Maps(N,c,CwDivN,CaDivN,initialconditions, maxiter, plotrange);

% Make Figure 4, panel b
load NewAndrzejakChaos2020Setting9.mat
% this loads N, c, CwDivN, CaDivN, and initialconditions
maxiter = 2700;
plotrange = 2601:2700;
z = NewAndrzejakChaos2020Maps(N,c,CwDivN,CaDivN,initialconditions, maxiter, plotrange);
